Compute Engine v1 API - Class HealthAggregationPolicy (3.25.0)

public sealed class HealthAggregationPolicy : IMessage<HealthAggregationPolicy>, IEquatable<HealthAggregationPolicy>, IDeepCloneable<HealthAggregationPolicy>, IBufferMessage, IMessage

Reference documentation and code samples for the Compute Engine v1 API class HealthAggregationPolicy.

Represents a health aggregation policy.

A health aggregation policy resource defines a policy to aggregate health.

For more information, see Health checks overview.

Inheritance

object > HealthAggregationPolicy

Namespace

Google.Cloud.Compute.V1

Assembly

Google.Cloud.Compute.V1.dll

Constructors

HealthAggregationPolicy()

public HealthAggregationPolicy()

HealthAggregationPolicy(HealthAggregationPolicy)

public HealthAggregationPolicy(HealthAggregationPolicy other)
Parameter
Name Description
other HealthAggregationPolicy

Properties

CreationTimestamp

public string CreationTimestamp { get; set; }

Output only. [Output Only] Creation timestamp inRFC3339 text format.

Property Value
Type Description
string

Description

public string Description { get; set; }

An optional description of this resource. Provide this property when you create the resource.

Property Value
Type Description
string

Fingerprint

public string Fingerprint { get; set; }

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

Property Value
Type Description
string

HasCreationTimestamp

public bool HasCreationTimestamp { get; }

Gets whether the "creation_timestamp" field is set

Property Value
Type Description
bool

HasDescription

public bool HasDescription { get; }

Gets whether the "description" field is set

Property Value
Type Description
bool

HasFingerprint

public bool HasFingerprint { get; }

Gets whether the "fingerprint" field is set

Property Value
Type Description
bool

HasHealthyPercentThreshold

public bool HasHealthyPercentThreshold { get; }

Gets whether the "healthy_percent_threshold" field is set

Property Value
Type Description
bool

HasId

public bool HasId { get; }

Gets whether the "id" field is set

Property Value
Type Description
bool

HasKind

public bool HasKind { get; }

Gets whether the "kind" field is set

Property Value
Type Description
bool

HasMinHealthyThreshold

public bool HasMinHealthyThreshold { get; }

Gets whether the "min_healthy_threshold" field is set

Property Value
Type Description
bool

HasName

public bool HasName { get; }

Gets whether the "name" field is set

Property Value
Type Description
bool

HasPolicyType

public bool HasPolicyType { get; }

Gets whether the "policy_type" field is set

Property Value
Type Description
bool

HasRegion

public bool HasRegion { get; }

Gets whether the "region" field is set

Property Value
Type Description
bool
public bool HasSelfLink { get; }

Gets whether the "self_link" field is set

Property Value
Type Description
bool

HasSelfLinkWithId

public bool HasSelfLinkWithId { get; }

Gets whether the "self_link_with_id" field is set

Property Value
Type Description
bool

HealthyPercentThreshold

public uint HealthyPercentThreshold { get; set; }

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

Property Value
Type Description
uint

Id

public ulong Id { get; set; }

Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.

Property Value
Type Description
ulong

Kind

public string Kind { get; set; }

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

Property Value
Type Description
string

MinHealthyThreshold

public uint MinHealthyThreshold { get; set; }

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

Property Value
Type Description
uint

Name

public string Name { get; set; }

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

Property Value
Type Description
string

PolicyType

public string PolicyType { get; set; }

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

Property Value
Type Description
string

Region

public string Region { get; set; }

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

Property Value
Type Description
string
public string SelfLink { get; set; }

Output only. [Output Only] Server-defined URL for the resource.

Property Value
Type Description
string

SelfLinkWithId

public string SelfLinkWithId { get; set; }

Output only. [Output Only] Server-defined URL with id for the resource.

Property Value
Type Description
string